/* Main */
.spannav>a{
    color: var(--eco2);
}

#n2, #n3, #n4{
    margin-left: 7vmin;
}

/* Trans */
.spannav {
    position: relative;
    padding: 0.5vmin;
}

.spannav > a > span{
    font-size: 1.3vw;
}

.spannav::before, .spannav::after {
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  height: 2px;
  background-color: var(--eco2);
  transform: scaleX(0);
  transition: transform 0.45s ease;
}

.spannav::before {
  top: 0;
  transform-origin: center right;
}

.spannav:hover::before {
  transform-origin: center left;
  transform: scaleX(1);
}

.spannav::after {
  bottom: 0;
  transform-origin: center left;
}

.spannav:hover::after {
  transform-origin: center right;
  transform: scaleX(1);
}

@media (max-aspect-ratio: 1.64) {
    .header {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    
    .logo, #langbutton {
        align-self: center; 
        margin-bottom: 2vmin;
    }

    .spannav > a > span{
        font-size: 2.3vw;
    }
    
    .nav {
        order: 2;
        width: 100%;
        display: flex;
        justify-content: center;
        margin-top: 2vmin;
    }
    
    .spannav {
        margin: 0 3.5vmin;
    }

    .header {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    
    .nav {
        display: flex;
    }
    
    .spannav {
        margin: 0;
    }
    
    #n2, #n3, #n4 {
        margin-left: 7vmin;
    }
}

@keyframes gentlePulse {
    0%, 100% {
        opacity: 0.9;
        transform: scale(1);
    }
    50% {
        opacity: 1;
        transform: scale(1.1);
    }
}

@keyframes glowFlow {
    0% {
        background-position: -2vmin 0;
    }
    100% {
        background-position: 2vmin 0;
    }
}


#n2 > a > span {
    font-weight: bold;
    color: var(--eco1);
    text-shadow: 0 0 2vmin rgba(85, 127, 8, 1);
}

#n2.spannav::before,
#n2.spannav::after {
    background-color: var(--eco1);
}

